<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [JSHandle](./puppeteer.jshandle.md) &gt; [(constructor)](./puppeteer.jshandle._constructor_.md)

## JSHandle.(constructor)

Constructs a new instance of the `JSHandle` class

<b>Signature:</b>

```typescript
constructor(context: ExecutionContext, client: CDPSession, remoteObject: Protocol.Runtime.RemoteObject);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [ExecutionContext](./puppeteer.executioncontext.md) |  |
|  client | [CDPSession](./puppeteer.cdpsession.md) |  |
|  remoteObject | Protocol.Runtime.RemoteObject |  |

